%define name	prioutil
%define version	0.4
%define release 2mdk

Name: 	 	%{name}
Summary: 	Graphical utility to transfer files to RIO MP3 players
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://istari.dyndns.org/~ciryon/prioutil/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	perl-GTK rioutil
BuildArch:	noarch

%description
Prioutil is a simple graphical interface to rioutil.  This allows you to
transfer files to the newer generation of RIO MP3 players.

%prep
%setup -q -n %name

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir/
cp prioutil.pl $RPM_BUILD_ROOT/%_bindir/prioutil

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="sound_section.png" needs="x11" title="Perl RIO Util" longtitle="GUI for RIO MP3 player" section="Multimedia/Sound"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc Documentation/*
%{_bindir}/%name
%{_menudir}/%name

%changelog
* Sun Aug 15 2004 Austin Acton <austin@mandrake.org> 0.4-2mdk
- I am dumb

* Sun Aug 15 2004 Austin Acton <austin@mandrake.org> 0.4-1mdk
- initial package
